HPLIP 3.9.6 gets a new CUPS driver

HPLIP 3.9.6 gets a new CUPS driver

New version of HP Linux Imaging and Printing is out with a new CUPS driver and more features.

The new CUPS driver called HPCUPS requires CUPS 1.2+ and substitudes HPIJS (still bundled and coexisting with HPCUPS). This new driver makes it possivble to have PPDs with exact printable regions for normal, borderless and duplex paper sizes.

There's also a new utility hp-wificonfig that allows to configure WiFi-capable printers on a wireless network. Once configured, the printer may be installed normally using hp-setup (there is also a way to access hp-wificonfig directly from hp-setup).

The new version also introduces support for the following new models:

  • HP Deskjet d2660, d2645, d2663, d2666, d2668, d2680,
  • HP LaserJet p3015/p3011,
  • HP LaserJet m4349 MFP,
  • HP Deskjet f4440, f4435, f4450, f4470, f4472, f4473, f4480, f4483, f4488, f4492,
  • HP Photosmart c4640, c4650, c4680, c4610, c4635, c4670, c4673, c4680, c4683, c4688,
  • HP Officejet 6000 Wireless Printer e609n, e609a,
  • HP Color LaserJet cm6049 MFP,
  • HP LaserJet m9059 MFP.

Source code and and installer are available for downloading as usual.

Was it useful? There's more:

0 Responses. Comments closed for this entry.